org.h2.store

## Class PageOutputStream

- java.lang.Object
- - org.h2.store.PageOutputStream

    public class PageOutputStream
    extends java.lang.Object

An output stream that writes into a page store.

### Constructor Summary

Constructors
Constructor and Description
`PageOutputStream(PageStore store, int trunkPage, java.util.BitSet exclude, int logKey, boolean atEnd)` Create a new page output stream.

### Method Summary

Methods
`void` `close()` Close the stream.
`void` `flush()` Write all data.
`void` `write(byte[] b, int off, int len)` Write the data.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PageOutputStream

    public PageOutputStream(PageStore store,
                    int trunkPage,
                    java.util.BitSet exclude,
                    int logKey,
                    boolean atEnd)

Create a new page output stream.

Parameters:
  `store` - the page store
  `trunkPage` - the first trunk page (already allocated)
  `exclude` - the pages not to use
  `logKey` - the log key of the first trunk page
  `atEnd` - whether only pages at the end of the file should be used

### Method Detail

#### write

    public void write(byte[] b,
             int off,
             int len)

Write the data.

Parameters:
  `b` - the buffer
  `off` - the offset
  `len` - the length

#### flush

    public void flush()

Write all data.

#### close

    public void close()

Close the stream.